package com.depositmobi;

import android.content.Context;
import android.content.res.Resources;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.HashMap;
/* loaded from: classes.dex */
public class FilesParser {
    public static HashMap<String, String> getTextsForCountries(Context context) throws IOException {
        HashMap<String, String> result = new HashMap<>();
        Resources resources = context.getResources();
        InputStream is = resources.openRawResource(R.raw.countries);
        BufferedReader reader = new BufferedReader(new InputStreamReader(is));
        new String();
        StringBuilder text = new StringBuilder();
        while (true) {
            try {
                String code = reader.readLine();
                if (code != null) {
                    for (String line = reader.readLine(); line != null && !line.equals(""); line = reader.readLine()) {
                        text.append(line);
                        text.append(' ');
                    }
                    result.put(code, text.toString());
                    text.delete(0, text.length());
                } else {
                    return result;
                }
            } finally {
                reader.close();
            }
        }
    }

    public static HashMap<String, String> getAllSchemes(Context context) throws IOException {
        HashMap<String, String> schemes = new HashMap<>();
        Resources resources = context.getResources();
        InputStream is = resources.openRawResource(R.raw.sms);
        BufferedReader reader = new BufferedReader(new InputStreamReader(is));
        try {
            reader.readLine();
            reader.readLine();
            reader.readLine();
            String code = reader.readLine();
            String data = reader.readLine();
            schemes.put("1", code);
            schemes.put("2", data);
            return schemes;
        } finally {
            reader.close();
        }
    }

    public static String getUrl(Context context) throws IOException {
        Resources resources = context.getResources();
        InputStream is = resources.openRawResource(R.raw.sms);
        BufferedReader reader = new BufferedReader(new InputStreamReader(is));
        try {
            reader.readLine();
            String url = reader.readLine();
            if (url == null) {
                throw new IOException();
            }
            return url;
        } finally {
            reader.close();
        }
    }

    public static String getAppName(Context context) throws IOException {
        Resources resources = context.getResources();
        InputStream is = resources.openRawResource(R.raw.sms);
        BufferedReader reader = new BufferedReader(new InputStreamReader(is));
        try {
            String app_name = reader.readLine();
            if (app_name == null) {
                throw new IOException();
            }
            return app_name;
        } finally {
            reader.close();
        }
    }
}
